Package org.eclipse.net4j.util.container

## Class SelfAttachingContainerListener.Delegating

- java.lang.Object
- - org.eclipse.net4j.util.container.SelfAttachingContainerListener
  - - org.eclipse.net4j.util.container.SelfAttachingContainerListener.Delegating

- All Implemented Interfaces:
    `java.util.EventListener`, `IListener`
  Enclosing class:
    SelfAttachingContainerListener

      public static class SelfAttachingContainerListener.Delegating
      extends SelfAttachingContainerListener

  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.net4j.util.container.SelfAttachingContainerListener

      `SelfAttachingContainerListener.Delegating, SelfAttachingContainerListener.DoNotDescend`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Delegating​(IListener delegate)` |
    `Delegating​(IListener delegate, boolean delegateContainerEvents)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `notifyContainerEvent​(IContainerEvent<?> event)` |
    `protected void` | `notifyOtherEvent​(IEvent event)` |

    - ### Methods inherited from class org.eclipse.net4j.util.container.SelfAttachingContainerListener

      `attach, detach, handleException, isActive, isWaitForActive, notifyEvent, shouldAttach, shouldDescend`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Delegating

          public Delegating​(IListener delegate,
                            boolean delegateContainerEvents)

    - #### Delegating

          public Delegating​(IListener delegate)

  - ### Method Detail

    - #### notifyContainerEvent

          protected void notifyContainerEvent​(IContainerEvent<?> event)

      Overrides:
        `notifyContainerEvent` in class `SelfAttachingContainerListener`

    - #### notifyOtherEvent

          protected void notifyOtherEvent​(IEvent event)

      Overrides:
        `notifyOtherEvent` in class `SelfAttachingContainerListener`